Name:           python2-typing
Version:        3.7.4.1
Release:        1%{?dist}
Summary:        Typing defines a standard notation for type annotations
License:        Python
URL:            https://pypi.python.org/pypi/typing
Source0:        https://files.pythonhosted.org/packages/source/t/typing/typing-%{version}.tar.gz
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildArch:      noarch

%description
Typing defines a standard notation for Python function and variable type
annotations. The notation can be used for documenting code in a concise,
standard format, and it has been designed to also be used by static and runtime
type checkers, static analyzers, IDEs and other tools.

%prep
%setup -q -n typing-%{version}

%build
%{py2_build}

%install
%{py2_install}

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/typing.py*
%{python2_sitelib}/typing-%{version}-py*.egg-info/

%changelog
* Tue Oct 22 2019 Paul Howarth <paul@city-fan.org> - 3.7.4.1-1
- Update to 3.7.4.1 (#1347637)

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.6.2-1
- Remove redundant python2 dependency
- Update to 3.6.2

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 14 2017 Kushal Das <kushal@fedoraprojects.org> - 3.6.1-1
- Updates to 3.6.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.2.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jun 17 2016 Kushal Das <kushal@fedoraprojects.org> - 3.5.2.2-1
- Updates to 3.5.2.2

* Fri Jun 03 2016 Kushal Das <kushal@fedoraprojects.org> - 3.5.1.0-1
- Initial package creation
